package de.example.AndroidExample09;

import android.app.Activity;
import android.os.Bundle;

import android.content.Context;

import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnKeyListener;
import android.view.KeyEvent;

import android.view.inputmethod.InputMethodManager;


public class MainActivity extends Activity
{
    private Button btnKelvin;
    private Button btnFahrenheit;
    private EditText txtCelsius;
    
    private OnClickListener myClickListener = new OnClickListener()
    {
        public void onClick (View v)
        {        
            EditText fieldEingabe = (EditText) findViewById(R.id.EingabeTemperatur);


            String eingabeTemperatur = fieldEingabe.getText().toString();
            String ausgabeTemperatur;

            double dblCelsius;

            if (eingabeTemperatur.length() > 0) {

                dblCelsius = Double.parseDouble(eingabeTemperatur);

                if (v == btnKelvin){

                    double kelvin = dblCelsius+ 273;
                    TextView fieldKelvin = (TextView) findViewById(R.id.lblKelvin);
                
                    fieldKelvin.setText(Double.toString(kelvin) + " K");   

                }   

                else if (v == btnFahrenheit){

                    double fahrenheit = dblCelsius * 1.8 + 32;
                    TextView fieldFahrenheit = (TextView) findViewById(R.id.lblFahrenheit);
                
                    fieldFahrenheit.setText(Double.toString(fahrenheit) + " F");            

                }
            }
        }
    };    
    
    private OnKeyListener myKeyListener = new OnKeyListener()
    {
        public boolean onKey(View v, int keyCode, KeyEvent event)
        {  
             
             if((keyCode == KeyEvent.KEYCODE_ENTER) && (event.getAction() == KeyEvent.ACTION_DOWN))
             {
                EditText fieldEingabe = (EditText) findViewById(R.id.EingabeTemperatur);
                String eingabeTemperatur = fieldEingabe.getText().toString();
                
                TextView fieldCelsius = (TextView) findViewById(R.id.lblCelsius);
                
                fieldCelsius.setText(eingabeTemperatur + " °C");
                
                InputMethodManager imm = (InputMethodManager)getSystemService(Context.INPUT_METHOD_SERVICE);
                imm.hideSoftInputFromWindow(fieldEingabe.getWindowToken(), 0); 
                return true;
             } 
             
             return false;
        }    
    };
    
         
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
       
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        btnKelvin = (Button)findViewById(R.id.btnKelvin);
        btnFahrenheit = (Button)findViewById(R.id.btnFahrenheit);
        txtCelsius = (EditText) findViewById(R.id.EingabeTemperatur);
        
        btnKelvin.setOnClickListener(myClickListener); 
        btnFahrenheit.setOnClickListener(myClickListener); 
        txtCelsius.setOnKeyListener(myKeyListener);
        
        
    }
}

