package de.AndroidExample14_Intents;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;

import android.view.Menu; 
import android.view.MenuInflater;
import android.view.MenuItem;
import android.widget.EditText;

public class MainActivity extends Activity
{
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
           
    }
    
    public boolean onCreateOptionsMenu(Menu menu) {
         
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.menustandard, menu);
        return super.onCreateOptionsMenu(menu);
    }
    
    public boolean onOptionsItemSelected(MenuItem item) {
        String strAusgabe = "";
        
        switch (item.getItemId()) {
            case R.id.menuShow_Fahrenheit:
                strAusgabe = temperaturKonvertierung('F'); 
                nachrichtShow(strAusgabe);
                return true;
            
            case R.id.menuShow_Kelvin:
                strAusgabe = temperaturKonvertierung('K'); 
                nachrichtShow(strAusgabe);
                return true;
            
            case R.id.menuSend_Fahrenheit:
                strAusgabe = temperaturKonvertierung('F'); 
                nachrichtSenden(strAusgabe);
                return true;
            
            case R.id.menuSend_Kelvin:
                strAusgabe = temperaturKonvertierung('K'); 
                nachrichtSenden(strAusgabe);
                return true;
                    
            default:
                return super.onOptionsItemSelected(item);
        }
        
 
    }
    
    private String temperaturKonvertierung(char einheit){
        double dblEingabe = 0;
        String strAusgabe = "";
        
        EditText eingabeFeld= (EditText) findViewById(R.id.EingabeDezimal);
        String strEingabe = eingabeFeld.getText().toString();
             
        if (strEingabe.length() > 0) {
                dblEingabe = Double.parseDouble(strEingabe);
                
                switch(einheit)
                {
                    case 'K':
                        strAusgabe =  "Kelvin: " + Double.toString(dblEingabe + 273);
                        break;
                        
                    case 'F':
                        strAusgabe = "Fahrenheit: " + Double.toString(dblEingabe * 1.8 + 32);
                        break;
                        
                    default:
                          strAusgabe = "Temperatureinheit " + einheit + " nicht bekannt";
                        
                }   
        }
        
        return strAusgabe;
    }
    
    private void nachrichtShow(String strText)
    {
        Intent showErgebnis = new Intent(MainActivity.this, ActivityAnzeige.class );
        showErgebnis.putExtra("AUSGABE", strText);
        startActivity(showErgebnis );
    }        
    
    private void nachrichtSenden(String strText)
    {
        Intent sendErgebnis = new Intent(Intent.ACTION_SEND);
        
        sendErgebnis.setType("text/plain");
        sendErgebnis.putExtra(Intent.EXTRA_TEXT, strText);
        sendErgebnis.putExtra(Intent.EXTRA_SUBJECT, "Umrechnung von Celsisu in");
        startActivity(sendErgebnis);
        
    }
}
